package com.muyu.marketing.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 商品活动规格集合模型
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductSkuInfoListModel {
    /**
     * 主键
     */
    private long id;
    /**
     * 活动ID
     */
    private long teamId;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品SKU
     */
    private String productSku;
    /**
     * 拼团库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    public static ActivityTeamProductSkuInfoListModel infoListModel(ActivityTeamProductSkuInfo activityTeamProductSkuInfo){
        return ActivityTeamProductSkuInfoListModel.builder()
                .id(activityTeamProductSkuInfo.getId())
                .teamId(activityTeamProductSkuInfo.getTeamId())
                .productId(activityTeamProductSkuInfo.getProductId())
                .teamStock(activityTeamProductSkuInfo.getTeamStock())
                .productSku(activityTeamProductSkuInfo.getProductSku())
                .teamPrice(activityTeamProductSkuInfo.getTeamPrice())
                .build();
    }
}
