package com.muyu.marketing.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.marketing.domain.model.ActivityTeamInfoDetailModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.cglib.core.internal.Function;

import java.util.Date;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TeamInfoDetailResp {
    /**
     * 活动id
     */
    private Long id;

    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */

    private String unit;
    /**
     * 轮播图
     */

    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 活动排序
     */
    private Integer sort;
    /**
     * 商品SkU集合
     */
    private List<TeamProjectSkuInfoResp> teamProjectSkuInfoResp;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Long strategyId;

    public static TeamInfoDetailResp teamInfoDetailResp(ActivityTeamInfoDetailModel activityTeamInfoDetailModel, Function<Long,List<TeamProjectSkuInfoResp>> teamProjectSkuInfoResp){
        return TeamInfoDetailResp.builder()
                .id(activityTeamInfoDetailModel.getId())
                .name(activityTeamInfoDetailModel.getName())
                .productId(activityTeamInfoDetailModel.getProductId())
                .productImage(activityTeamInfoDetailModel.getProductImage())
                .introduction(activityTeamInfoDetailModel.getIntroduction())
                .unit(activityTeamInfoDetailModel.getUnit())
                .imageList(activityTeamInfoDetailModel.getImageList())
                .endTime(activityTeamInfoDetailModel.getEndTime())
                .sort(activityTeamInfoDetailModel.getSort())
                .content(activityTeamInfoDetailModel.getContent())
                .status(activityTeamInfoDetailModel.getStatus())
                .strategyType(activityTeamInfoDetailModel.getStrategyType())
                .strategyId(activityTeamInfoDetailModel.getStrategyId())
                .teamProjectSkuInfoResp(teamProjectSkuInfoResp.apply(activityTeamInfoDetailModel.getId()))
                .build();
    }
}
