package com.muyu.marketing.domain.resp;

import com.muyu.marketing.domain.model.ActivityTeamProductSkuInfoListModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TeamProjectSkuInfoResp {
    /**
     * 规格Id
     */
    private Long productSkuId;
    /**
     * 规格SKU
     */
    private String productSku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;

    public static List<TeamProjectSkuInfoResp> teamProjectSkuInfoResp(List<ActivityTeamProductSkuInfoListModel> activityTeamProductSkuInfoListModel){
        return  activityTeamProductSkuInfoListModel.stream().map(teamProductSkuInfoListModel ->{
            TeamProjectSkuInfoResp skuInfoResp = TeamProjectSkuInfoResp.builder()
                    .productSkuId(teamProductSkuInfoListModel.getProductId())
                    .productSku(teamProductSkuInfoListModel.getProductSku())
                    .teamPrice(teamProductSkuInfoListModel.getTeamPrice())
                    .teamStock(teamProductSkuInfoListModel.getTeamStock())
                    .build();
            return skuInfoResp;
        }).toList();
    }
}
