package com.muyu.marketing.team.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.model.ActivityTeamInfoAddModel;
import com.muyu.marketing.domain.model.ActivityTeamInfoDetailModel;
import com.muyu.marketing.domain.model.ActivityTeamInfoListModel;
import com.muyu.marketing.domain.model.ActivityTeamInfoListQueryModel;

import java.util.List;

public interface ActivityTeamInfoService extends IService<ActivityTeamInfo> {


    /**
     * 通过查询模型查询团购活动列表
     * @param activityTeamInfoListQueryModel 团购活动查询模型
     * @return 团购活动列表
     */
    public TableDataInfo<ActivityTeamInfoListModel> query(ActivityTeamInfoListQueryModel activityTeamInfoListQueryModel);

    /**
     * 通过添加模型，去进行商品拼团活动的操作
     * @param activityTeamInfoAddModel 团购添加模型
     */
    public void save(ActivityTeamInfoAddModel activityTeamInfoAddModel);

    /**
     * 拼团活动详情
     */
    public ActivityTeamInfoDetailModel findById(Long id);
}
